Statistics API¶
Overview¶
This document describes the Onegini IdP statistics API
Version information¶
Version : 1.0.0
Paths¶
Get statistics¶
1 | |
Description¶
The endpoint allows to get current statistics. The response is provided in JSON format. Currently supported overview statistics are: - invitations_pending_total - persons_activated_total - persons_created_total - persons_logged_in_year_continuous - persons_migrated_total - persons_not_logged_in_year_continuous - persons_signed_up_week_continuous
Currently supported history statistics are: - invitations_created_week_history - invitations_validated_week_history - logins_week_history - password_reset_code_validated_week_history - persons_migrated_week_history - persons_signed_up_week_history - persons_unblocked_week_history
Parameters¶
| Type | Name | Description | Schema |
|---|---|---|---|
| Query | from optional |
starting date in format YYYY-MM-DD since when statistics should be gathered | string |
Responses¶
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Statistics fetched successfully | Statistics |
Security¶
| Type | Name |
|---|---|
| basic | basic_auth |
Example HTTP request¶
Request path¶
1 | |
Example HTTP response¶
Response 200¶
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 | |
Get statistics history¶
1 | |
Description¶
The endpoint allows to get weekly historical statistics. The response is provided in CSV format, comma separated. The available weekly statistics are listed in STATISTICS-API-2 description
Responses¶
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Statistics fetched successfully | string |
Produces¶
text/csv
Security¶
| Type | Name |
|---|---|
| basic | basic_auth |
Example HTTP request¶
Request path¶
1 | |
Example HTTP response¶
Response 200¶
1 | |
Definitions¶
History¶
| Name | Description | Schema |
|---|---|---|
| invitations_created_week_history optional |
Number of invitations created within past week Example : 29 |
integer |
| invitations_validated_week_history optional |
Number of invitations validated within past week Example : 21 |
integer |
| logins_week_history optional |
Number of logins within past week Example : 53 |
integer |
| password_reset_code_validated_week_history optional |
Number of password reset codes validations within past week Example : 1 |
integer |
| persons_migrated_week_history optional |
Number of persons migrations within past week Example : 6 |
integer |
| persons_signed_up_week_history optional |
Number of newely signed up persons within past week Example : 4 |
integer |
| persons_unblocked_week_history optional |
Number of unblocked persons within past week Example : 0 |
integer |
HistoryCollection¶
| Name | Description | Schema |
|---|---|---|
| start_date optional |
Example : 1469397600000 |
integer (timestamp) |
| values optional |
Example : [ "[history](#history)" ] |
< History > array |
Overview¶
| Name | Description | Schema |
|---|---|---|
| invitations_pending_total optional |
Total number of pending invitations Example : 31 |
integer |
| persons_activated_total optional |
Total number of activated person's accounts Example : 145 |
integer |
| persons_created_total optional |
Total number of created accounts Example : 225 |
integer |
| persons_logged_in_year_continuous optional |
Number of persons who logged in within past year Example : 1029 |
integer |
| persons_migrated_total optional |
Total number of migrated persons Example : 43 |
integer |
| persons_not_logged_in_year_continuous optional |
Number of persons who NOT logged in within past year Example : 104 |
integer |
| persons_signed_up_week_continuous optional |
Number of persons who signed up within past week Example : 132 |
integer |
Statistics¶
| Name | Description | Schema |
|---|---|---|
| history optional |
Example : [ "[historycollection](#historycollection)" ] |
< HistoryCollection > array |
| overview optional |
Example : "[overview](#overview)" |
Overview |
Security¶
basic_auth¶
Type : basic